Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 20 Nov 2018, 10:02
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Slimjet web browser
Post new topic   Reply to topic View previous topic :: View next topic
Page 11 of 12 [166 Posts]   Goto page: Previous 1, 2, 3, ..., 9, 10, 11, 12 Next
Author Message
greengeek


Joined: 20 Jul 2010
Posts: 5295
Location: Republic of Novo Zelande

PostPosted: Wed 03 Jan 2018, 15:07    Post subject:  

If I delete everything from the /root/.config/slimjet/default directory - except the preferences file - then restart slimjet it will retain the ""force_flash_on_youtube":false," parameter and start ok - although the "Welcome to Slimjet" tab says internal server error (no matter).

Then I tried to get fancy and delete the stuff prior to ""force_flash_on_youtube":false," in the preferences file and got the following response.

I will try to see if any edits of that file are permissible. It would be nice to trim it just to the bare minimum but I suspect it is full of machine specific checksummed info.
NiceTry.jpg
 Description   
 Filesize   30.13 KB
 Viewed   1275 Time(s)

NiceTry.jpg

Back to top
View user's profile Send private message 
OscarTalks


Joined: 05 Feb 2012
Posts: 1824
Location: London, England

PostPosted: Sat 06 Jan 2018, 09:45    Post subject:  

Slimjet 17.0.3.0 (32bit)
Starts and runs in Xenial and Dpup Stretch (both of which have libgtk3 included).
Probably won't work in other/earlier Puppies without tweaks and additions.
Only tested briefly. Treat as strictly experimental.
Runs as spot (profile is under /root/spot).
https://yadi.sk/d/fd8rBM0WoF9sB?force_show=1

_________________
Oscar in England

Back to top
View user's profile Send private message 
sleeper48

Joined: 24 Dec 2017
Posts: 14

PostPosted: Sun 07 Jan 2018, 22:47    Post subject:  

OscarTalks wrote:
Slimjet 17.0.3.0 (32bit)
Starts and runs in Xenial and Dpup Stretch (both of which have libgtk3 included).
Probably won't work in other/earlier Puppies without tweaks and additions.
Only tested briefly. Treat as strictly experimental.
Runs as spot (profile is under /root/spot).
https://yadi.sk/d/fd8rBM0WoF9sB?force_show=1


I tried it in slacko 5.6, no luck. Installs, but won't open. Have 15.1.6.0 pet installed over 14.0.16.0-slack pet, runs well.
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 3535
Location: Worcestershire, UK

PostPosted: Mon 08 Jan 2018, 12:44    Post subject:  

A run-as-spot 32-bit sfs version of slimjet-17.0.3.0 including GTK-3 libs and PepperFlash

Tested on LxPupSc-18.01 and ArtfulPup-17.11

_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
spiritwild


Joined: 03 Oct 2016
Posts: 160

PostPosted: Mon 08 Jan 2018, 20:11    Post subject:  

Quote:
Tested on LxPupSc-18.01 and ArtfulPup-17.11


Also working on LxPupXenial 16.08, although I converted to pet.

thanks peebee
Back to top
View user's profile Send private message 
Marv


Joined: 04 May 2005
Posts: 1089
Location: SW Wisconsin

PostPosted: Mon 08 Jan 2018, 21:01    Post subject:  

peebee wrote:
A run-as-spot 32-bit sfs version of slimjet-17.0.3.0 including GTK-3 libs and PepperFlash
Just loaded the SFS and set it up on LxPupSc 18.01 +2T. Added my bookmarks, ghostery, adblockplus, click&clean and customized the start page, cache size, tab behavior etc. Sets up just like all the Slimjets and seems to be running perfectly. I've dragged my feet on spot if not on spots (see the avatar) but I guess it's time.
_________________
Pups currently in kennel Very Happy LxPupSc and X-slacko-4.4 for my users; LxPupSc, LxPupSc64, LxPupBionic, upupbb and upupcc for me. All good pups indeed, and all running savefiles for look'n'feel only. Browsers, etc. solely from SFS.
Back to top
View user's profile Send private message 
festus


Joined: 14 Jan 2015
Posts: 198

PostPosted: Tue 09 Jan 2018, 11:31    Post subject:  

I have been running both slimjet-17.0.3.0 sfs's from OscarTalks and peebee, on xenial-7.5 & slacko-6999, with much satisfaction.

I am testing two different profiles, in which the only difference is one has ghostery while the other has privacy-badger; however both profiles have Click&Clean, and HTTPS Everywhere.

The profile with ghostery is larger by about 14 MB.

I have not been using these chrome based browsers very long as I've always used palemoon/ffx because I am able to harden them using the "about:config" adjustments.

Are there any guides or suggestions in order to config the chrome based browsers?

Anyway, thank you both, OscarTalks & peebee

bliss,
festus
Back to top
View user's profile Send private message 
roadkill13

Joined: 10 Aug 2011
Posts: 148
Location: United States

PostPosted: Mon 27 Aug 2018, 15:49    Post subject: Slimjet 19.0.9  

I have been testing upup bionic beaver 18.05 and noticed that OscarTalks has updated his repo to include the 32 bit version of Slimjet 19.0.9.0. It is working quite well so far.

Thank you very much OscarTalks!
Back to top
View user's profile Send private message Yahoo Messenger 
OscarTalks


Joined: 05 Feb 2012
Posts: 1824
Location: London, England

PostPosted: Sat 06 Oct 2018, 15:43    Post subject:  

Slimjet 20.0.4.0
32bit version
Based on Chromium 68
I added the ffmpeg.so upgrade with extra codecs as recommended.
Also updated flash but that is not used much now.
Runs as spot so be aware that it downloads files into /root/spot
Works in Dpup Stretch and probably Xenial and Bionic

For 32bit Tahr:-
Install libgtk-3 via PPM
Update Palemoon (installed into /opt) to recent version, 28.1.0 or even 27.9.4
This Slimjet then works.

Repackaged as .pet and .sfs and uploaded strictly for testing
https://yadi.sk/d/fd8rBM0WoF9sB?force_show=1

_________________
Oscar in England

Back to top
View user's profile Send private message 
Marv


Joined: 04 May 2005
Posts: 1089
Location: SW Wisconsin

PostPosted: Sat 06 Oct 2018, 18:54    Post subject:  

OscarTalks wrote:
Slimjet 20.0.4.0
32bit version
Based on Chromium 68


Thanks for the push! Slimjet 20.0.4.0 now works with my weather loops that had been problematic since 18.0.5.0 so I can now use it. Tried your SFS out in upupcc beta1 first, modifying the /usr/slimjet startup script to jigger the downloaded files permissions ala peebees run-as-spots. Runs perfectly there. I then rolled my own 64b from a slimjet deb download, adding the additional libs needed for slackware and again used the startup scripts like those in peebees run-as-spots to 'handle' downloaded file permissions. Tested that one in lxpupsc64 18.06 +9. Runs well -and FAST- there also. Both happily share a common profile linked from a spot directory on the EXT2 data partition. I haven't yet added the additional libs to the 32b version to test it in any 32b slacko derivatives but don't anticipate any major probs there. I'll also test in upupbb later but as it works in upupcc I also assume Rolling Eyes it will be fine there. Glad to be sort of caught up after a while.

Edit: 32b version tested in upupbb 18.05 +14. Runs fine. Additional libs needed for slackware derivs added in to the 32b version and tested in LxPupSc 18.06 +5 and LxPupBionic 18.05 +12. Runs correctly in both those also.

Edit2: The contents of the /usr/bin/slimjet script I'm using are (from peebees run-as-spot slimjets):
Code:
#!/bin/sh
#export LD_LIBRARY_PATH=/opt/slimjet:$LD_LIBRARY_PATH
run-as-spot flashpeak-slimjet "$@"
chown -R root:root /root/spot/Downloads/*
#/usr/lib/gtkdialog/box_splash -placement center -bg yellow -fg black -timeout 4 -text "REMINDER: Any downloads will have SPOT ownership but any items in /root/spot/Downloads have been changed to ROOT ownership" &
Exporting the library path is no longer necessary and I have used peebees ownership work-around long enough so I disabled the reminder line.


Cheers,

_________________
Pups currently in kennel Very Happy LxPupSc and X-slacko-4.4 for my users; LxPupSc, LxPupSc64, LxPupBionic, upupbb and upupcc for me. All good pups indeed, and all running savefiles for look'n'feel only. Browsers, etc. solely from SFS.
Back to top
View user's profile Send private message 
DuMar

Joined: 28 Jan 2016
Posts: 46
Location: Apeldoorn, Netherlands

PostPosted: Sat 20 Oct 2018, 09:52    Post subject:  

OscarTalks wrote:
Slimjet 20.0.4.0
Works in Dpup Stretch and probably Xenial and Bionic
Repackaged as .pet and .sfs and uploaded strictly for testing
https://yadi.sk/d/fd8rBM0WoF9sB?force_show=1


Works fine in Xenial 32 I used the SFS. Good alternative for the Palemoon 29 edtion.

Thnx Oscar
Back to top
View user's profile Send private message 
DuMar

Joined: 28 Jan 2016
Posts: 46
Location: Apeldoorn, Netherlands

PostPosted: Sun 21 Oct 2018, 04:56    Post subject:  

However I did find a small problem:

Using Xenial 32 frugal install. And I use slimjet 2.0 SFS (yadi.sk)

When I want an e-mail (I use sylpheed) to open with a browser because there's html in it I use "open with" and slimjet.

The browser opens and the tab says: file not found. The link is

file:///root/.sylpheed-2.0/mimetmp/mimetmp-5.html

When I copy/paste this in Palemoon it opens. When I use open with and choose Palemoon it opens also. When I go to .sylpheed-2.0/mimetmp and click on mimetemp-5.html I get the same error in Slimjet.

Has this something to do wtih spot? Is there a solution?
Back to top
View user's profile Send private message 
Sylvander

Joined: 15 Dec 2008
Posts: 4399
Location: West Lothian, Scotland, UK

PostPosted: Sun 21 Oct 2018, 05:29    Post subject:  

slimjet-20.0.4.0-i686.sfs doesn't run in Slacko-5.7.0-pae. Sad

slimjet-14.0.16.0-slack14.0.sfs does run: that's what I normally use. Very Happy
Back to top
View user's profile Send private message 
OscarTalks


Joined: 05 Feb 2012
Posts: 1824
Location: London, England

PostPosted: Sun 21 Oct 2018, 06:51    Post subject:  

DuMar wrote:
However I did find a small problem:

Using Xenial 32 frugal install. And I use slimjet 2.0 SFS (yadi.sk)

When I want an e-mail (I use sylpheed) to open with a browser because there's html in it I use "open with" and slimjet.

The browser opens and the tab says: file not found. The link is

file:///root/.sylpheed-2.0/mimetmp/mimetmp-5.html

When I copy/paste this in Palemoon it opens. When I use open with and choose Palemoon it opens also. When I go to .sylpheed-2.0/mimetmp and click on mimetemp-5.html I get the same error in Slimjet.

Has this something to do wtih spot? Is there a solution?


Hello DuMar

I do not have a definite answer for this, but it probably is a limitation caused by the fact that Slimjet is running as spot but Sylpheed is running as root. I can get some of the other Chromium derivative browsers to run as root if I sacrifice sandbox (eg Vivaldi), but Slimjet refuses to run as root whatever I try. Not sure if running Sylpheed as spot as well might be a solution. This would probably mean that the .html file would be

file:///root/spot/.sylpheed-2.0/mimetmp/mimetmp-5.html

The Sylpheed profile would be under /root/spot and it would have the correct permissions for Slimjet

Although I have compiled Sylpheed in the past I have never actually used it. I only ever use webmail. Maybe someone else will know for sure how to solve this.

_________________
Oscar in England

Back to top
View user's profile Send private message 
Sailor Enceladus

Joined: 22 Feb 2016
Posts: 1547

PostPosted: Sun 21 Oct 2018, 14:36    Post subject:  

Sylvander wrote:
slimjet-20.0.4.0-i686.sfs doesn't run in Slacko-5.7.0-pae. Sad

slimjet-14.0.16.0-slack14.0.sfs does run: that's what I normally use. Very Happy

Same here Very Happy
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 11 of 12 [166 Posts]   Goto page: Previous 1, 2, 3, ..., 9, 10, 11, 12 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1063s ][ Queries: 13 (0.0464s) ][ GZIP on ]